/*
 * SPI.h
 *
 *  Created on: 14.03.2012
 *      Author: darkhedie
 */

#ifndef SPI_H_
#define SPI_H_

#include "interface.h"

//////Definiere Port Pins


#define CS_1    //PORTD  |= (1<<Pin_CS);
#define CS_0    //PORTD  &= ~(1<<Pin_CS);

#define sclk_1  SPI_SCK_1;
#define sclk_0  SPI_SCK_0;

#define mosi_1  SPI_SO_1;
#define mosi_0  SPI_SO_0;

#define miso    SPI_SI

#define delay_value 0    //Anzahl Clocks

#define _USE_TRANSFER	1
#define _USE_CSFUNC		0	//Funktion zum setzen von CS
#define _USE_HARDWARE_SPI 0


void write_spi (unsigned char data_out);
unsigned char read_spi (void);

#if _USE_TRANSFER
unsigned char transfer_spi(unsigned char ucData);
#endif

#if _USE_CSFUNC
void spi_cs(unsigned char ucState);
#endif

void init_spi(void);


#endif /* SPI_H_ */
